Bug 110208 - Kernel panic
Kernel panic
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-16 23:20 EST by Carl Gherardi
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Gherardi 2003-11-16 23:20:53 EST
Description of problem:

Kernel Panic

How reproducible:
First and only time problem has occured

Actual results:

From /var/log/messages (machine name and time cols removed):

Unable to handle kernel NULL pointer dereference at virtual address
00000030
 printing eip:
c0134c5d
*pde = 00000000
Oops: 0002
nfsd nfs lockd sunrpc lp parport iptable_filter ip_tables autofs tg3
sr_mod ide-scsi ide-cd cdrom loop keybdev mousedev hid input usb-ohci
usbcore ext3 jbd cc
CPU:    1
EIP:    0060:[<c0134c5d>]    Not tainted
EFLAGS: 00010292

EIP is at futex_wake [kernel] 0x1d (2.4.20-20.9smp)
eax: 00000000   ebx: d2c5a000   ecx: 00000000   edx: 082174f8
esi: 000004f8   edi: 00000001   ebp: 43938940   esp: d2c5bf7c
ds: 0068   es: 0068   ss: 0068
Process test_runner (pid: 9452, stackpage=d2c5b000)
Stack: d269ed80 00000000 082174f8 000004f8 00000001 43938940 c01350b8
082174f8
       000004f8 00000001 7fffffff d2c5a000 c03b3900 d2c5a000 00000000
00000000
       43938940 c01098cf 082174f8 00000001 00000001 00000000 00000000
43938940
Call Trace:   [<c01350b8>] sys_futex [kernel] 0x68 (0xd2c5bf94))
[<c01098cf>] system_call [kernel] 0x33 (0xd2c5bfc0))

Code: f0 fe 48 30 0f 88 d3 05 00 00 f0 fe 0d 54 5d 34 c0 0f 88 d3
 <1>Unable to handle kernel NULL pointer dereference at virtual
address 00000030
 printing eip:
c0134c5d
*pde = 00000000
Oops: 0002
nfsd nfs lockd sunrpc lp parport iptable_filter ip_tables autofs tg3
sr_mod ide-scsi ide-cd cdrom loop keybdev mousedev hid input usb-ohci
usbcore ext3 jbd cc
CPU:    1
EIP:    0060:[<c0134c5d>]    Not tainted
EFLAGS: 00010296
 :03 :
EIP is at futex_wake [kernel] 0x1d (2.4.20-20.9smp)
eax: 00000000   ebx: d2c5a000   ecx: 00000000   edx: 43938b78
esi: 00000b78   edi: 00000001   ebp: 0000000b   esp: d2c5bdfc
ds: 0068   es: 0068   ss: 0068
Process test_runner (pid: 9452, stackpage=d2c5b000)
Stack: 00000001 00000000 43938b78 00000b78 00000001 0000000b c01350b8
43938b78
       00000b78 00000001 00000001 00000000 00000001 d2c5a000 00000002
d2c5a000
       0000000b c01208ce 43938b78 00000001 00000001 00000000 00000000
c0126ad7
Call Trace:   [<c01350b8>] sys_futex [kernel] 0x68 (0xd2c5be14))
[<c01208ce>] mm_release [kernel] 0x6e (0xd2c5be40))
[<c0126ad7>] do_exit [kernel] 0x87 (0xd2c5be58))
[<c0109fd4>] die [kernel] 0x94 (0xd2c5be74))
[<c011c664>] do_page_fault [kernel] 0x2e4 (0xd2c5be88))
[<c011e3ef>] schedule [kernel] 0x19f (0xd2c5beb0))
[<c012dbdd>] schedule_timeout [kernel] 0xad (0xd2c5bee4))
[<c011c380>] do_page_fault [kernel] 0x0 (0xd2c5bf34))
[<c01099c0>] error_code [kernel] 0x34 (0xd2c5bf3c))
[<c0134c5d>] futex_wake [kernel] 0x1d (0xd2c5bf70))
[<c01350b8>] sys_futex [kernel] 0x68 (0xd2c5bf94))
[<c01098cf>] system_call [kernel] 0x33 (0xd2c5bfc0))

Code: f0 fe 48 30 0f 88 d3 05 00 00 f0 fe 0d 54 5d 34 c0 0f 88 d3

kernel BUG at signal.c:309!
invalid operand: 0000
nfsd nfs lockd sunrpc lp parport iptable_filter ip_tables autofs tg3
sr_mod ide-scsi ide-cd cdrom loop keybdev mousedev hid input usb-ohci
usbcore ext3 jbd cc
CPU:    1
EIP:    0060:[<c012e6f1>]    Not tainted
EFLAGS: 00010046

EIP is at __exit_signal [kernel] 0xf1 (2.4.20-20.9smp)
eax: d2c5a05c   ebx: 00000000   ecx: f73597c0   edx: 00000000
esi: d2c5a000   edi: 00000000   ebp: 0000000b   esp: d2c5bcb0
ds: 0068   es: 0068   ss: 0068
Process test_runner (pid: 9452, stackpage=d2c5b000)
Stack: d2c5a000 c012e1cf 00000000 d2c5a000 d2c5a000 c0125d44 d2c5a000
00000000
       00000000 00000000 c0126d7a d2c5a000 00000002 d2c5bdc8 00000002
00000030
       d2c5a000 c0109fd4 0000000b c0284866 00000002 00000000 c011c664
c0284866
Call Trace:   [<c012e1cf>] free_uid [kernel] 0x1f (0xd2c5bcb4))
[<c0125d44>] release_task [kernel] 0x84 (0xd2c5bcc4))
[<c0126d7a>] do_exit [kernel] 0x32a (0xd2c5bcd8))
[<c0109fd4>] die [kernel] 0x94 (0xd2c5bcf4))
[<c011c664>] do_page_fault [kernel] 0x2e4 (0xd2c5bd08))
[<c01a3f41>] scrup [kernel] 0x121 (0xd2c5bd8c))
[<c01f2e63>] vgacon_cursor [kernel] 0xf3 (0xd2c5bda0))
[<c011c380>] do_page_fault [kernel] 0x0 (0xd2c5bdb4))
[<c01099c0>] error_code [kernel] 0x34 (0xd2c5bdbc))
[<c0134c5d>] futex_wake [kernel] 0x1d (0xd2c5bdf0))
[<c01350b8>] sys_futex [kernel] 0x68 (0xd2c5be14))
[<c01208ce>] mm_release [kernel] 0x6e (0xd2c5be40))
[<c0126ad7>] do_exit [kernel] 0x87 (0xd2c5be58))
[<c0109fd4>] die [kernel] 0x94 (0xd2c5be74))
[<c011c664>] do_page_fault [kernel] 0x2e4 (0xd2c5be88))
[<c011e3ef>] schedule [kernel] 0x19f (0xd2c5beb0))
[<c012dbdd>] schedule_timeout [kernel] 0xad (0xd2c5bee4))
[<c011c380>] do_page_fault [kernel] 0x0 (0xd2c5bf34))
[<c01099c0>] error_code [kernel] 0x34 (0xd2c5bf3c))
[<c0134c5d>] futex_wake [kernel] 0x1d (0xd2c5bf70))
[<c01350b8>] sys_futex [kernel] 0x68 (0xd2c5bf94))
[<c01098cf>] system_call [kernel] 0x33 (0xd2c5bfc0))


Code: 0f 0b 35 01 0b 51 28 c0 e9 29 ff ff ff 89 f6 83 ec 04 fa b8
 11:58:32 pang syslogd 1.4.1: restart.
Comment 1 Bugzilla owner 2004-09-30 11:41:42 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.